# std::poisson_distribution< _IntType >::param_type Struct Reference

List of all members.

## Public Types

- typedef poisson_distribution
  < _IntType > distribution_type

## Public Member Functions

- param_type (double __mean=1.0)
- double mean () const

## Friends

- bool operator== (const param_type &__p1, const param_type &__p2)
- class poisson_distribution< _IntType >

## Detailed Description

### template<typename _IntType = int>
struct std::poisson_distribution< _IntType >::param_type

Parameter type.

Definition at line 3982 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- random.tcc